# Run tests in check section
%bcond_without check

# https://github.com/DataDog/zstd
%global goipath         github.com/DataDog/zstd
Version:                1.3.5

%global common_description %{expand:
Zstd wrapper for Go.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Zstd wrapper for Go
# Detected licences
# - BSD 3-clause "New" or "Revised" License at 'LICENSE'
# - MIT: divsufsort.c
License:        BSD and MIT
URL:            %{gourl}
Source0:        %{gosource}

Provides:       bundled(zstd) = 1.3.4
BuildRequires:  gcc

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup -p1


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE ZSTD_LICENSE
%doc README.md


%changelog
* Sun Mar 17 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.5-1
- First package for Fedora

